: Error level demo file
VIDCHK
IF ERRORLEVEL 99 GOTO END
IF ERRORLEVEL 4 GOTO ER4
IF ERRORLEVEL 3 GOTO ER3
IF ERRORLEVEL 2 GOTO ER2
IF ERRORLEVEL 1 GOTO ER1
ECHO error level returned was 0
REM  MDA dependent code appears here
GOTO END
:ER1
ECHO error level returned was 1
REM  CGA dependent code appears here
GOTO END
:ER2
ECHO error level returned was 2
REM  EGA color IRGB monitor detected
GOTO EGAMEM
:ER3
ECHO error level returned was 3
REM  EGA color with enhanced monitor detected
GOTO EGAMEM
:ER4
ECHO error level returned was 4
REM EGA monochrome detected
:EGAMEM
EGAMEM
IF ERRORLEVEL 2 GOTO EGABIG
ECHO EGA 64K or less detected
REM  Limited ega code appears here
GOTO END
:EGABIG
ECHO EGA with more than 64k detected
REM  EGA with more than 64k code appears here
:END
t code appears here
GOTO END
:ER2
ECHO error level returned was 2
REM  EGA color IRGB monitor detected
GOTO EGAMEM
:ER3
ECHO error level returned was 3
REM  EGA color with enhanced monitor detected
GOTO